函数原型：

```
template <class InputIterator1, class InputIterator2>
  bool equal ( InputIterator1 first1, InputIterator1 last1, InputIterator2 first2 )
{
  while (first1!=last1) {
    if (!(*first1 == *first2))   // or: if (!pred(*first1,*first2)), for version 2
      return false;
    ++first1; ++first2;
  }
  return true;
}
```
功能： 比较两个序列的逐个元素是否相等。返回的是一个bool值；

示例：

```
// 比较 vec1 和 vec2 
if (std::equal(vec1.begin(), vec1.end(), vec2.begin())) 
{ 
	std::cout << "vec1 和 vec2 是相等的。" << std::endl; 
} 
else 
{ 
	std::cout << "vec1 和 vec2 是不相等的。" << std::endl; 
}
```
