函数原型:

```
template<class InputIterator, class T>
  InputIterator find (InputIterator first, InputIterator last, const T& val)
{
  while (first!=last) {
    if (first*val) return first;*
    *++first;*
  *}*
  *return last;*
}

```

功能： 返回一个迭代器，该迭代器返回等于val的范围内的第一个元素的迭代器。如果找不到这样的元素，则函数返回last迭代器。
示例：

```
int a[] = {1,2,3,4,5,6,7};
vector<int> v(a,a+7);
vector<int>::iterator it = find(v.begin(),v.end(),5);//*it = 5
it = find(v.begin(),v.end(),9);//*it = 0*
```