函数原型：
template<class InputIterator, class Function> Function for_each(InputIterator first, InputIterator last, Function fn)
功能： 遍历序列容器，将区间【fist,last）之内每一个元素传入函数fn，在函数fn内对元素进行操作；

示例：

```
#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
//遍历数组vector，修改vector里的所有元素值为5,输出元素
void fn(int &item)
{
	item = 5;
	cout << item << endl; 
}

int main()
{
	int a[] = {1,2,3,4,5,6,7};
	vector<int> v(a,a+7);
	for_each(v.begin(),v.end(),fn);
} 

```

