要手动计算下一个排列，可以遵循以下步骤。我们将使用字典序来说明如何找到下一个排列。

### 方法步骤：
1. **找到最大的 i**：从后向前找到第一个地方 `i`，使得 `nums[i] < nums[i + 1]`。如果没有找到这样的 i，表示当前排列是最后一个排列，返回第一个排列（即将数组逆序）。
    
2. **找到最大的 j**：从后向前找到一个 `j`，使得 `nums[j] > nums[i]`。这一步的目的是找到一个比 `nums[i]` 大的最小元素。
    
3. **交换**：交换 `nums[i]` 和 `nums[j]`。
    
4. **反转**：然后，将 `nums[i + 1]` 到 `nums[n - 1]` 的部分进行反转（使其按照升序排列）。

